Bug 1119933 - [abrt] abrt: abrt-action-notify:207:<module>:AttributeError: 'module' object has no attribute 'load_conf_file'
Summary: [abrt] abrt: abrt-action-notify:207:<module>:AttributeError: 'module' object ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2a264ca2ec69c1c864b31817698...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 21:52 UTC by vip3r011.sama
Modified: 2014-07-17 11:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 11:07:41 UTC


Attachments (Terms of Use)
File: backtrace (1.80 KB, text/plain)
2014-07-15 21:52 UTC, vip3r011.sama
no flags Details
File: environ (308 bytes, text/plain)
2014-07-15 21:52 UTC, vip3r011.sama
no flags Details

Description vip3r011.sama 2014-07-15 21:52:45 UTC
Version-Release number of selected component:
abrt-2.2.1-2.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        /usr/bin/python /usr/bin/abrt-action-notify -d /var/tmp/abrt/ccpp-2014-07-15-21:01:37-731
executable:     /usr/bin/abrt-action-notify
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
abrt-action-notify:207:<module>:AttributeError: 'module' object has no attribute 'load_conf_file'

Traceback (most recent call last):
  File "/usr/bin/abrt-action-notify", line 207, in <module>
    conf = problem.load_conf_file("abrt.conf")
AttributeError: 'module' object has no attribute 'load_conf_file'

Local variables in innermost frame:
verbose: 0
ArgumentParser: <class 'argparse.ArgumentParser'>
FILENAME_UID: 'uid'
FILENAME_UUID: 'uuid'
OPTIONS: Namespace(autoreporting=False, autoreporting_event=None, problem_dir='/var/tmp/abrt/ccpp-2014-07-15-21:01:37-731', verbose=0)
FILENAME_DUPHASH: 'duphash'
emit_crash_dbus_signal: <function emit_crash_dbus_signal at 0xf54578>
ABRT_VERBOSE: '0'
run_autoreport: <function run_autoreport at 0xf54500>
CD_DUMPDIR: 'Directory'
__package__: None
CMDARGS: ArgumentParser(prog='abrt-action-notify', usage=None, description='Announce a new or duplicated problem via all accessible channels', version=None, formatter_class=<class 'argparse.HelpFormatter'>, conflict_handler='error', add_help=True)
__doc__: None
log1: <function log1 at 0xf54320>
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/bin/abrt-action-notify'
RETURN_OK: 0
sys: <module 'sys' (built-in)>
RETURN_CANCEL_BY_USER: 69
RETURN_FAILURE: 2
report: <module 'report' from '/usr/lib64/python2.7/site-packages/report/__init__.pyc'>
__name__: '__main__'
set_verbosity: <function set_verbosity at 0xf54230>
DIR_PATH: '/var/tmp/abrt/ccpp-2014-07-15-21:01:37-731'
build_notification_problem_data: <function build_notification_problem_data at 0xf545f0>
RETURN_STOP_EVENT_RUN: 70
dbus: <module 'dbus' from '/usr/lib/python2.7/site-packages/dbus/__init__.pyc'>
problem: <module 'problem' from '/usr/lib/python2.7/site-packages/problem/__init__.pyc'>
os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>
FILENAME_PACKAGE: 'package'

Comment 1 vip3r011.sama 2014-07-15 21:52:52 UTC
Created attachment 918261 [details]
File: backtrace

Comment 2 vip3r011.sama 2014-07-15 21:52:54 UTC
Created attachment 918262 [details]
File: environ

Comment 3 Jakub Filak 2014-07-16 06:40:38 UTC
Hello, thank you for the report. Cloud you please run the following command and report the results here?

$ python -c "import problem; print problem.load_conf_file"

Comment 4 vip3r011.sama 2014-07-16 21:46:39 UTC
output i get:

<built-in function load_conf_file>

Comment 5 Jakub Filak 2014-07-17 11:07:41 UTC
It is obvious that 'module' object has attribute 'load_conf_file'. Closing this bug report as WORKSFORME, but please reopen it if the problem occurs again.


Note You need to log in before you can comment on or make changes to this bug.